summaryrefslogtreecommitdiffstats
path: root/libraries/libexttextcat
diff options
context:
space:
mode:
author Hunter Sezen <ovariegata@yahoo.com>2017-12-19 21:43:25 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-12-21 08:19:23 +0700
commit4c4269a4c7d788c7b73f60423aaf01cda72d4f8b (patch)
tree25d54b931c01185d920050cefa18c02232ab84f5 /libraries/libexttextcat
parentdec9ed6dfab03059ef9716c95b24e5d995b59a2d (diff)
downloadslackbuilds-4c4269a4c7d788c7b73f60423aaf01cda72d4f8b.tar.gz
slackbuilds-4c4269a4c7d788c7b73f60423aaf01cda72d4f8b.tar.xz
libraries/libexttextcat: Updated for version 3.4.5.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'libraries/libexttextcat')
-rw-r--r--libraries/libexttextcat/README4
-rw-r--r--libraries/libexttextcat/libexttextcat.SlackBuild16
-rw-r--r--libraries/libexttextcat/libexttextcat.info6
3 files changed, 14 insertions, 12 deletions
diff --git a/libraries/libexttextcat/README b/libraries/libexttextcat/README
index 3b9743c04a..9332783b6e 100644
--- a/libraries/libexttextcat/README
+++ b/libraries/libexttextcat/README
@@ -3,7 +3,7 @@ classification technique described in Cavnar & Trenkle, "N-Gram-Based
Text Categorization". It was primarily developed for language
guessing, a task on which it is known to perform with near-perfect
accuracy.
-
+
The central idea of the Cavnar & Trenkle technique is to calculate a
"fingerprint" of a document with an unknown category, and compare this
with the fingerprints of a number of documents of which the categories
@@ -12,7 +12,7 @@ classification. A fingerprint is a list of the most frequent n-grams
occurring in a document, ordered by frequency. Fingerprints are
compared with a simple out-of-place metric. See the article for more
details.
-
+
Considerable effort went into making this implementation fast and
efficient. The language guesser processes over 100 documents/second on
a simple PC, which makes it practical for many uses. It was developed
diff --git a/libraries/libexttextcat/libexttextcat.SlackBuild b/libraries/libexttextcat/libexttextcat.SlackBuild
index 5660f3930c..e713ad19ce 100644
--- a/libraries/libexttextcat/libexttextcat.SlackBuild
+++ b/libraries/libexttextcat/libexttextcat.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for libexttextcat
-# Copyright 2015 Hunter Sezen California, USA
+# Copyright 2015, 2017 Hunter Sezen California, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,13 +23,13 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=libexttextcat
-VERSION=${VERSION:-3.4.4}
+VERSION=${VERSION:-3.4.5}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -40,8 +40,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -54,7 +54,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -eu
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -74,6 +74,8 @@ CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
+ --disable-static \
+ --disable-werror \
--build=$ARCH-slackware-linux
make
@@ -83,7 +85,7 @@ find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | gr
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a ChangeLog LICENSE READM* TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog LICENSE README* TODO $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/libraries/libexttextcat/libexttextcat.info b/libraries/libexttextcat/libexttextcat.info
index cf4e410507..23ef70fa1c 100644
--- a/libraries/libexttextcat/libexttextcat.info
+++ b/libraries/libexttextcat/libexttextcat.info
@@ -1,8 +1,8 @@
PRGNAM="libexttextcat"
-VERSION="3.4.4"
+VERSION="3.4.5"
HOMEPAGE="https://wiki.freedesktop.org/www/Software/libexttextcat/"
-DOWNLOAD="http://dev-www.libreoffice.org/src/libexttextcat/libexttextcat-3.4.4.tar.xz"
-MD5SUM="bfa7107c27afda3a3afa4b7ab5a3fe17"
+DOWNLOAD="http://dev-www.libreoffice.org/src/libexttextcat/libexttextcat-3.4.5.tar.xz"
+MD5SUM="69c984b1785b56942179eb0ddc9c758f"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""